aboutsummaryrefslogtreecommitdiffstats
path: root/.extras/setup.sh
diff options
context:
space:
mode:
authorDanilo M. <danix@danix.xyz>2026-04-03 22:38:52 +0200
committerDanilo M. <danix@danix.xyz>2026-04-03 22:38:52 +0200
commitff22ff3ffa55cc607aacc1bf4fa026e651466c9a (patch)
tree6b0ebb98cf1bb666c2c7e513b43be481ce7c7b09 /.extras/setup.sh
parentc393d0e98cd3fdf02305f7659afa1bb1e4a02a7e (diff)
downloadslackware-pentesting-suite-ff22ff3ffa55cc607aacc1bf4fa026e651466c9a.tar.gz
slackware-pentesting-suite-ff22ff3ffa55cc607aacc1bf4fa026e651466c9a.zip
moved all packages to the root of the repository
Diffstat (limited to '.extras/setup.sh')
-rw-r--r--.extras/setup.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/.extras/setup.sh b/.extras/setup.sh
new file mode 100644
index 0000000..cff87f3
--- /dev/null
+++ b/.extras/setup.sh
@@ -0,0 +1,18 @@
+#! /bin/bash
+
+if [[ $EUID -ne 0 ]]; then
+ echo "This script must be run as root!"
+ exit 1
+fi
+
+# make sure we have a wordlists directory
+[[ ! -d /usr/share/wordlists ]] && mkdir -p /usr/share/wordlists || true
+
+# add a link to the metasploit wordlists
+ln -s /opt/metasploit-framework/embedded/framework/data/wordlists /usr/share/wordlists/metasploit
+
+# add a link to the seclists
+ln -s /usr/share/seclists /usr/share/wordlists/seclists
+
+# add seclists webshells to generic webshells
+[[ -d /usr/share/webshells && -d /usr/share/seclists/Web-Shells ]] && ln -s /usr/share/seclists/Web-Shells /usr/share/webshells/seclists || true